Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(9)

Issue 313540043: i#2156. drltrace for malware analysis (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 weeks, 5 days ago by Maxim Shudrak
Modified:
4 days, 6 hours ago
Reviewers:
bruening
CC:
dynamorio-devs_googlegroups.com
Visibility:
Public.

Description

Commit log for first patchset: --------------- i#2156: drltrace for malware analysis Disabled drltrace compilation in case if DynamoRIO is compiling internaly within DrMemory for Windows. ---------------

Patch Set 1 #

Total comments: 4

Patch Set 2 : removed drltrace #

Total comments: 6

Patch Set 3 : Fixed readme/release.dox #

Total comments: 4

Patch Set 4 : Committed #

Unified diffs Side-by-side diffs Delta from patch set Stats (+9 lines, -631 lines) Patch
M README.md View 1 2 1 chunk +1 line, -1 line 0 comments Download
M api/docs/release.dox View 1 2 3 3 chunks +3 lines, -3 lines 0 comments Download
M clients/CMakeLists.txt View 1 1 chunk +5 lines, -9 lines 0 comments Download
D clients/drltrace/CMakeLists.txt View 1 1 chunk +0 lines, -78 lines 0 comments Download
D clients/drltrace/README.md View 1 1 chunk +0 lines, -3 lines 0 comments Download
D clients/drltrace/drltrace.c View 1 1 chunk +0 lines, -369 lines 0 comments Download
D clients/drltrace/drltrace.dox View 1 1 chunk +0 lines, -81 lines 0 comments Download
D clients/drltrace/runtest.cmake View 1 1 chunk +0 lines, -83 lines 0 comments Download
M suite/tests/CMakeLists.txt View 1 1 chunk +0 lines, -4 lines 0 comments Download

Messages

Total messages: 30
Maxim Shudrak
2 weeks, 5 days ago (2017-02-04 16:15:57 UTC) #1
bruening
https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt File clients/CMakeLists.txt (right): https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt#newcode75 clients/CMakeLists.txt:75: # enable drltrace for Mac. nit: this comment should ...
2 weeks ago (2017-02-09 15:44:28 UTC) #2
bruening
https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt File clients/CMakeLists.txt (right): https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt#newcode79 clients/CMakeLists.txt:79: if (NOT DEFINED DRMF_INTERNAL_BUILD AND On 2017/02/09 15:44:28, bruening ...
2 weeks ago (2017-02-09 16:02:55 UTC) #3
Maxim Shudrak
On 2017/02/09 16:02:55, bruening wrote: > https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt > File clients/CMakeLists.txt (right): > > https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt#newcode79 > ...
2 weeks ago (2017-02-09 16:36:32 UTC) #4
Maxim Shudrak
On 2017/02/09 16:36:32, Maxim Shudrak wrote: > On 2017/02/09 16:02:55, bruening wrote: > > https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt ...
2 weeks ago (2017-02-09 16:39:50 UTC) #5
Maxim Shudrak
https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt File clients/CMakeLists.txt (right): https://codereview.appspot.com/313540043/diff/1/clients/CMakeLists.txt#newcode79 clients/CMakeLists.txt:79: if (NOT DEFINED DRMF_INTERNAL_BUILD AND On 2017/02/09 15:44:28, bruening ...
2 weeks ago (2017-02-09 16:39:57 UTC) #6
bruening
On 2017/02/09 16:39:50, Maxim Shudrak wrote: > On 2017/02/09 16:36:32, Maxim Shudrak wrote: > > ...
2 weeks ago (2017-02-09 18:11:26 UTC) #7
Maxim Shudrak
On 2017/02/09 18:11:26, bruening wrote: > On 2017/02/09 16:39:50, Maxim Shudrak wrote: > > On ...
2 weeks ago (2017-02-09 19:03:07 UTC) #8
bruening
On 2017/02/09 19:03:07, Maxim Shudrak wrote: > On 2017/02/09 18:11:26, bruening wrote: > > On ...
2 weeks ago (2017-02-09 20:33:38 UTC) #9
Maxim Shudrak
On 2017/02/09 20:33:38, bruening wrote: > On 2017/02/09 19:03:07, Maxim Shudrak wrote: > > On ...
2 weeks ago (2017-02-09 20:34:44 UTC) #10
Maxim Shudrak
Commit log for latest patchset: --------------- i#2156. drltrace for malware analysis drltrace removed from dr's ...
1 week, 5 days ago (2017-02-11 13:05:10 UTC) #11
bruening
On 2017/02/11 13:05:10, Maxim Shudrak wrote: > Commit log for latest patchset: > --------------- > ...
1 week, 3 days ago (2017-02-13 03:41:28 UTC) #12
bruening
https://codereview.appspot.com/313540043/diff/20001/README.md File README.md (left): https://codereview.appspot.com/313540043/diff/20001/README.md#oldcode30 README.md:30: - The library tracing tool [drltrace](http://dynamorio.org/docs/page_drltrace.html) Given that we ...
1 week, 3 days ago (2017-02-13 03:46:56 UTC) #13
Maxim Shudrak
Commit log for latest patchset: --------------- i#2156: drltrace for malware analysis drltrace removed from dr's ...
1 week, 3 days ago (2017-02-13 17:53:39 UTC) #14
Maxim Shudrak
https://codereview.appspot.com/313540043/diff/20001/README.md File README.md (left): https://codereview.appspot.com/313540043/diff/20001/README.md#oldcode30 README.md:30: - The library tracing tool [drltrace](http://dynamorio.org/docs/page_drltrace.html) On 2017/02/13 03:46:56, ...
1 week, 3 days ago (2017-02-13 17:55:09 UTC) #15
bruening
Probably you missed that there are two lists -- please leave the first one talking ...
1 week, 3 days ago (2017-02-13 21:33:11 UTC) #16
Maxim Shudrak
Committed as https://github.com/DynamoRIO/dynamorio/commit/2d560bce66bd7e071f8ea178d8d516d9023c1e2a Final commit log: --------------- i#2156: drltrace for malware analysis drltrace removed from ...
1 week, 2 days ago (2017-02-14 17:45:42 UTC) #17
Maxim Shudrak
https://codereview.appspot.com/313540043/diff/20001/api/docs/release.dox File api/docs/release.dox (right): https://codereview.appspot.com/313540043/diff/20001/api/docs/release.dox#newcode136 api/docs/release.dox:136: following minor compatibility changes: On 2017/02/13 21:33:11, bruening wrote: ...
1 week, 2 days ago (2017-02-14 17:46:27 UTC) #18
Maxim Shudrak
On 2017/02/14 17:46:27, Maxim Shudrak wrote: > https://codereview.appspot.com/313540043/diff/20001/api/docs/release.dox > File api/docs/release.dox (right): > > https://codereview.appspot.com/313540043/diff/20001/api/docs/release.dox#newcode136 ...
1 week, 2 days ago (2017-02-14 18:08:03 UTC) #19
bruening
On 2017/02/14 18:08:03, Maxim Shudrak wrote: > On 2017/02/14 17:46:27, Maxim Shudrak wrote: > > ...
1 week, 2 days ago (2017-02-14 18:28:28 UTC) #20
bruening
On 2017/02/14 18:28:28, bruening wrote: > On 2017/02/14 18:08:03, Maxim Shudrak wrote: > > On ...
1 week, 2 days ago (2017-02-14 18:29:57 UTC) #21
Maxim Shudrak
On 2017/02/14 18:29:57, bruening wrote: > On 2017/02/14 18:28:28, bruening wrote: > > On 2017/02/14 ...
1 week, 2 days ago (2017-02-14 18:33:48 UTC) #22
bruening
On Tue, Feb 14, 2017 at 1:33 PM, <mxmssh@gmail.com> wrote: > Yes, I tried git ...
1 week, 2 days ago (2017-02-14 18:52:31 UTC) #23
Maxim Shudrak
On 2017/02/14 18:08:03, Maxim Shudrak wrote: > On 2017/02/14 17:46:27, Maxim Shudrak wrote: > > ...
1 week, 2 days ago (2017-02-14 18:58:33 UTC) #24
bruening
On 2017/02/14 18:58:33, Maxim Shudrak wrote: > On 2017/02/14 18:08:03, Maxim Shudrak wrote: > > ...
1 week, 2 days ago (2017-02-14 20:01:22 UTC) #25
Maxim Shudrak
On 2017/02/14 20:01:22, bruening wrote: > On 2017/02/14 18:58:33, Maxim Shudrak wrote: > > On ...
1 week, 1 day ago (2017-02-15 17:32:14 UTC) #26
bruening
On 2017/02/15 17:32:14, Maxim Shudrak wrote: > Cool, this workflow looks easier, I have created ...
1 week, 1 day ago (2017-02-15 17:34:47 UTC) #27
Maxim Shudrak
On 2017/02/15 17:32:14, Maxim Shudrak wrote: > On 2017/02/14 20:01:22, bruening wrote: > > On ...
1 week, 1 day ago (2017-02-15 17:36:38 UTC) #28
bruening
On 2017/02/15 17:36:38, Maxim Shudrak wrote: > What if I would need to commit a ...
1 week, 1 day ago (2017-02-15 17:49:27 UTC) #29
Maxim Shudrak
1 week, 1 day ago (2017-02-15 17:53:49 UTC) #30
On 2017/02/15 17:49:27, bruening wrote:
> On 2017/02/15 17:36:38, Maxim Shudrak wrote:
> > What if I would need to commit a second patchset ? Does github support this
?
> 
> See https://github.com/DynamoRIO/dynamorio/wiki/Code-Reviews under "Responding
> to Review Comments"

Ok, thank you.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 80a51fa-tainted